<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<xsd:include schemaLocation="config.xsd"></xsd:include>

	<xsd:element name="PluginConfiguration" type="PluginConfigurationType"></xsd:element>

	<xsd:complexType name="PluginConfigurationType">
		<xsd:sequence>
			<xsd:element name="AgentControllerEnvironment" type="AgentControllerEnvironmentType" minOccurs="0" maxOccurs="1"></xsd:element>
			<xsd:element name="Application" type="ApplicationType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Service" type="ServiceType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Agent" type="AgentType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
			<xsd:element name="Option" type="OptionType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
		</xsd:sequence>
		<xsd:attribute name="requires" type="xsd:string" use="optional"></xsd:attribute>
	</xsd:complexType>

</xsd:schema>
